Package org.apache.lucene.analysis.sv

## Class SwedishMinimalStemmer

- java.lang.Object
- - org.apache.lucene.analysis.sv.SwedishMinimalStemmer

-     public class SwedishMinimalStemmer
      extends Object

  Minimal Stemmer for Swedish. The algorithm is an adapted version of the SwedishLightStemmer, but only stripping the most common plural suffixes for nouns: -ar/arne/arna/aren, -at, -er/erna, -et, -or/orna, -en. We do not strip -an or -ans suffixes, since that would require a large dictionary of exceptions.
  Since:
    9.0.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SwedishMinimalStemmer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `stem​(char[] s, int len)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SwedishMinimalStemmer

          public SwedishMinimalStemmer()

  - ### Method Detail

    - #### stem

          public int stem​(char[] s,
                          int len)